summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2019-02-14 14:38:39 +0100
committerLars Wendler <polynomial-c@gentoo.org>2019-02-14 14:38:39 +0100
commit38e96b4dd741aa45c272dff9207bb7449c200cdb (patch)
treec8b0dda657e52386768746be59d1401058ca765e
parentnet-fs/libnfs: Removed old. (diff)
downloadgentoo-38e96b4dd741aa45c272dff9207bb7449c200cdb.tar.gz
gentoo-38e96b4dd741aa45c272dff9207bb7449c200cdb.tar.bz2
gentoo-38e96b4dd741aa45c272dff9207bb7449c200cdb.zip
dev-python/flexmock: Bump to version 0.10.3
Package-Manager: Portage-2.3.60, Repoman-2.3.12 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
-rw-r--r--dev-python/flexmock/Manifest1
-rw-r--r--dev-python/flexmock/flexmock-0.10.3.ebuild33
2 files changed, 34 insertions, 0 deletions
diff --git a/dev-python/flexmock/Manifest b/dev-python/flexmock/Manifest
index 3d1cb4b6979..5733f144853 100644
--- a/dev-python/flexmock/Manifest
+++ b/dev-python/flexmock/Manifest
@@ -1 +1,2 @@
DIST flexmock-0.10.2.tar.gz 44425 BLAKE2B e49db5b7a4a739f72a2560c52d0493cc284641f7c54d11e67a4c40ae3681ed2ca22fdc17c9f8ffc667bef409e1ecb5e36acdcd73a968984a38992927ff7c416f SHA512 6824da47af260a93ad685b66bcbd2d9a93f98eec218242e0dd9ef885594d9218e4c7170c832a0b3ea3cf201896ec1efc2afacbffe1fc5dab032240369d7b3ac3
+DIST flexmock-0.10.3.tar.gz 45017 BLAKE2B 03e6a709bd6c7889fa91692c27041f3d8109a57aa188a7043d5f45f757dd2bf929f80b9e57375bf7835ec4a88f032ed026c183320098546862f30c6bfedf6e8d SHA512 9c19e7a6765e57789065e6f5940270f5c0395194eddd8fedaf0abe52e0ffaaa33945385e981285caa1b7facb58be92b76dd0f370c242216626a30ab97b926bd1
diff --git a/dev-python/flexmock/flexmock-0.10.3.ebuild b/dev-python/flexmock/flexmock-0.10.3.ebuild
new file mode 100644
index 00000000000..8c999e830bd
--- /dev/null
+++ b/dev-python/flexmock/flexmock-0.10.3.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{4,5,6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Testing library to create mocks, stubs and fakes"
+HOMEPAGE="http://flexmock.readthedocs.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+DEPEND="
+ test? (
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )
+ "
+RDEPEND=""
+
+python_install_all() {
+ distutils-r1_python_install_all
+ dodoc -r docs
+}
+
+python_test() {
+ pytest -vv tests || die "pytest failed"
+}